function [rhsu,rhsv] = WaveRHS1DCentralPeriodic(u,v,time)

% function [rhsu,rhsv] = WaveRHS1DCentralPeriodic(u,v,time)
% Purpose  : Evaluate RHS flux in 1D wave equation system
%            using central fluxes
%
% By Allan P. Engsig-Karup.

Globals1D;

% form flux differences at faces
df    = zeros(Nfp*Nfaces,K);
df(:) = 0.5*nx(:).*(u(vmapM)-u(vmapP));

dg    = zeros(Nfp*Nfaces,K);
dg(:) = 0.5*nx(:).*(v(vmapM)-v(vmapP));
        
% compute right hand sides of the semi-discrete PDE
rhsu = -rx.*(Dr*v) + LIFT*(Fscale.*(dg));
rhsv = -rx.*(Dr*u) + LIFT*(Fscale.*(df));
